Bug 138443 (IT_54224) - Wrong Chaparral FR1422 identifier JSS224 instead of JFS224
Summary: Wrong Chaparral FR1422 identifier JSS224 instead of JFS224
Status: CLOSED ERRATA
Alias: IT_54224
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL: IT_54262
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-09 10:46 UTC by Pierre Fumery
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-20 20:56:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:550 normal SHIPPED_LIVE Updated kernel packages available for Red Hat Enterprise Linux 3 Update 4 2004-12-20 05:00:00 UTC
Red Hat Product Errata RHSA-2004:504 normal SHIPPED_LIVE Important: Updated Itanium kernel packages resolve security issues 2004-12-13 05:00:00 UTC
Red Hat Product Errata RHSA-2004:505 normal SHIPPED_LIVE Important: Updated kernel packages fix security vulnerability 2004-12-13 05:00:00 UTC

Description Pierre Fumery 2004-11-09 10:46:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040514

Description of problem:
The black list included  in the various distributions includes the
following  entry for the Chaparral FR1422 disk sub-system :

    {"CNSi", "JSS224", "*", BLIST_SPARSELUN},               // Chaparral
FR1422

This entry is not correct and should be :

   {"CNSi", "JFS224", "*", BLIST_SPARSELUN},               // Chaparral
FR1422

Could it be fixed in the AS 2.1 Update 6 and AS 3 Update 4 G.A. versions ?

Version-Release number of selected component (if applicable):
kernel-source-2.4.21-21.EL

How reproducible:
Always

Steps to Reproduce:
1. To install RHEL3-U4 or RHEL2.1-U6 releases.
2. To check the /usr/src/linux/drivers/scsi/scsi_scan.c file,
searching for Chaparral FR1422

    

Actual Results:  {"CNSi", "JSS224", "*", BLIST_SPARSELUN},           
   // Chaparral FR1422

Expected Results:  {"CNSi", "JFS224", "*", BLIST_SPARSELUN},         
     // Chaparral FR1422

Additional info:

This is a typo which prevents to get right information. This is a no
risk fix that could be easily fixed for the G.A. delivery.

Comment 1 Ernie Petrides 2004-11-09 20:11:26 UTC
RHEL3 U4 is already closed.


Comment 2 Susan Denham 2004-11-09 21:35:54 UTC
Pierre:  I'm sorry, but I've checked with kernel engineering and have
confirmed that this would require a kernel respin, which isn't planned
for RHEL 3 U4.  We will add this to the U5 list.  Please open an Issue
Tracker for this and Frank will have it fixed.  Thanks.

Comment 5 Ernie Petrides 2004-11-11 02:33:45 UTC
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-24.EL).


Comment 6 John Flanagan 2004-12-13 20:06:36 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-505.html


Comment 7 John Flanagan 2004-12-13 20:17:13 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-504.html


Comment 8 Ernie Petrides 2004-12-13 21:47:07 UTC
This bug was inappropriately listed in the above 2.1 Errata (listed above),
and thus should not have yet been closed.  I'm reverting it to MODIFIED
state until the RHEL3 Erratum is released (which should be in a week).


Comment 9 Bastien Nocera 2004-12-15 11:53:24 UTC
Ernie, it was correctly filed, as this bug was hitting both 2.1 and 3.

Comment 10 Ernie Petrides 2004-12-15 22:24:20 UTC
Hi, Bastien.  A bug can only be filed against a single version
(2.1, 3, 4) of a RHEL kernel because there are different CVS
trees, different kernel maintainers, different blocker lists,
and different advisories in the Errata System.  When you enter
a single bug with the hope of 2 versions being fixed, you risk
that it will get fixed in one version and then forgotten about.

So, in the future, please file a separate bugzilla for each kernel
(major) kernel version that exhibits the problem.  Thanks.

Cheers.  -ernie

Comment 12 John Flanagan 2004-12-20 20:56:57 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-550.html



Note You need to log in before you can comment on or make changes to this bug.